%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           avant-window-navigator
Version:        0.4.0
Release:        4%{?dist}

Provides: avant-window-navigator-python = %{version}-%{release}
Obsoletes: avant-window-navigator-python < 0.2.6-3

Summary:        Fully customisable dock-like window navigator for GNOME

Group:          User Interface/Desktops
#libawn is LGPLv2+, rest is GPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://launchpad.net/awn
Source0:        https://launchpad.net/awn/0.4/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         dso.patch
Patch1:         firefox_desktopfile_fix.patch
Patch2:         688_687.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libwnck-devel dbus-glib-devel
BuildRequires:  pygtk2-devel GConf2-devel startup-notification-devel
BuildRequires:  gnome-desktop-devel libgnome-devel gnome-python2
BuildRequires:  libXdamage-devel libXcomposite-devel libXres-devel
BuildRequires:  libdesktop-agnostic-devel python-desktop-agnostic
BuildRequires:  libdesktop-agnostic-bin
BuildRequires:  gettext, intltool
BuildRequires:  desktop-file-utils
BuildRequires:  pyxdg libgtop2-devel
BuildRequires:  vala

Requires:       gnome-python2-gconf, gnome-python2-gnomedesktop, pyxdg, bzr
Requires:       libdesktop-agnostic-bin
Requires:       python-desktop-agnostic
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Avant Window Navigator (Awn) is a dock-like bar which sits at the bottom of 
the screen (in all its composited-goodness) tracking open windows.

%package devel
Summary:    Fully customisable dock-like window navigator for GNOME
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
This package includes all header files and library of AWN for development.

%prep
%setup -q
%patch0 -p1 -b .dso
%patch1 -p1 -b .firefox_desktopfile_fix
%patch2 -p0 -b .688_687


%build
%configure --disable-static \
           --with-gnu-ld \
           --with-vala \
           --disable-shave
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

#remove shebangs
sed -i -e '/^#!\//, 1d' $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/awn-settings/awnSettings.py
sed -i -e '/^#!\//, 1d' $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/awn-settings/awnSettingsHelper.py


%find_lang %{name}

desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/avant-window-navigator.desktop

desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/awn-settings.desktop


%pre
%gconf_schema_prepare avant-window-navigator awn-applet-taskmanager
%gconf_schema_obsolete awn awn-applets-shared


%post
%gconf_schema_upgrade avant-window-navigator awn-applet-taskmanager

/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%preun
%gconf_schema_remove avant-window-navigator awn-applet-taskmanager


%postun
/sbin/ldconfig

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog README
%doc %{_datadir}/gtk-doc/html/libawn
%{_bindir}/*
%{_libdir}/libawn*.so.*
%dir %{_libdir}/awn
%dir %{_libdir}/awn/applets
%{_libdir}/awn/applets/*/*.so
%config(noreplace) %{_sysconfdir}/gconf/schemas/avant-window-navigator.schemas
%config(noreplace) %{_sysconfdir}/gconf/schemas/awn-applet-taskmanager.schemas
%{_datadir}/applications/*
%dir %{_datadir}/avant-window-navigator
%{_datadir}/avant-window-navigator/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/scalable/categories/awn-plugins.svg
%dir %{python_sitearch}/awn
%{python_sitearch}/awn/*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog README
%dir %{_includedir}/libawn
%{_includedir}/libawn/*
%{_libdir}/libawn*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pygtk/2.0/defs/awn.defs
%{_datadir}/vala/vapi/awn.*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-3
- rebuilt

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Apr 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-1
- update to 0.4.0
- update scriptlets
- drop Br gnome-vfs2-devel gnome-common
- add Br libgtop2-devel
- add the libdesktop-agnostic Br and Requires
- add Requires pkgconfig to devel
- add requires bzr
- fix firefox desktop file location
- add patch to fix unitialized pointer
- add patch to fix DSO linking

* Sun Feb 21 2010 Leigh Scott <leigh123linux@googlemail.com>- 0.3.2.1-3
- bump version so F12 upgrades properly

* Tue Feb 09 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.3.2.1-2
- Add build requires vala

* Thu Feb 04 2010 leigh scott <leigh123linux@googlemail.com> - 0.3.2.1-1
- New upstream release
- Fix source url
- drop upstream patch (python-platform)
- drop unrecognized option from configure and add disable-schemas-install
- Fix spelling mistake in decription.
- Fix rpath error from rpmlint
- update python macro

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.2-8
- Rebuild for libgnome-desktop soname bump

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2-6
- Remove vendor from desktop-file-install

* Tue Mar 03 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2-5
- Fix issue with arch dependent python files installed to noarch dir, #486395

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2-3
- New upstream release

* Sat Dec 20 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-14
- Add missing libXres buildrequires

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.6-13
- Rebuild for Python 2.6

* Thu Dec 04 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-12
- Add patch to fix metacity sticky bug, #469032

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.6-11
- Rebuild for Python 2.6

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com - 0.2.6-10
- rebuild for dependencies

* Sun Aug 03 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-9
- Add patch to fix empty string in schemas file. #457683

* Sat Mar 22 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-8
- Add missing pyxdg requires

* Tue Mar 20 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-6
- Incorparate the python package in main, #438411
* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-3
- Fix python package

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-2
- Add missing pyxdg build depenency

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-1
- New release
- Re-enable gconf scriplets
- Add missing scriplets
- Update license

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-3
- Autorebuild for GCC 4.3

* Thu Nov 04 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.1-2
- New Release
* Wed Oct 21 2007 Huang Peng <phuang@redhat.com> - 0.2-1
- Update to 0.2
* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.1.1-4
- Rebuild for selinux ppc32 issue.
* Tue Jun 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-3
- Own %%{_datadir}/avant-window-navigator
* Tue Jun 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-2
- Add missing BRs
- Fix gconf scriplets
* Thu May 01 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-1
- Initial build

